Bug 7932 - twitter share doesn't work with socialnetworks
Summary: twitter share doesn't work with socialnetworks
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Paul Poulain
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-09 16:42 UTC by Nicole C. Engard
Modified: 2013-12-05 20:05 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7932 - twitter share doesn't work with socialnetworks (4.10 KB, patch)
2012-05-16 19:44 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 7932 - [SIGNED-OFF] twitter share doesn't work with socialnetworks (3.11 KB, patch)
2012-05-22 07:29 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 7932 - twitter share doesn't work with socialnetworks (3.17 KB, patch)
2012-11-01 16:16 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 7932 [Revised] Twitter share doesn't work with socialnetworks (3.40 KB, patch)
2012-11-12 15:48 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7932 [Revised] Twitter share doesn't work with socialnetworks (3.44 KB, patch)
2012-11-12 16:51 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2012-04-09 16:42:39 UTC
The Twitter share button added by the socialnetworks preference doesn't take the url of the page you're sharing - it just opens a blank twitter status window.
Comment 1 Owen Leonard 2012-05-16 19:44:50 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2012-05-18 14:26:36 UTC
The proposed patch (attachment 8955 [details] [review]) for Bug 7470 does not fix this issue ?
Comment 3 Owen Leonard 2012-05-18 14:59:57 UTC
Sorry Jonathan, maybe so. I saw this because it was assigned to me. I didn't realize there was a follow-up to Bug 7470 waiting to be tested. I'll do so now.
Comment 4 Jonathan Druart 2012-05-22 07:29:32 UTC Comment hidden (obsolete)
Comment 5 Magnus Enger 2012-05-22 08:53:38 UTC
Should the status here be set to "signed off", or am I missing something?
Comment 6 Jonathan Druart 2012-05-22 09:07:17 UTC
Yes Magnus, sorry
Comment 7 Paul Poulain 2012-05-28 13:43:50 UTC
QA comment : tiny patch, nothing to notice, passed QA
Comment 8 Paul Poulain 2012-05-28 13:44:55 UTC
Yikes, trying to apply the patch after reading/QAing it, I see it does not apply:

Bug 7932 - [SIGNED-OFF] twitter share doesn't work with socialnetworks
Apply? [yn] y

Applying: Bug 7932 - twitter share doesn't work with socialnetworks
fatal: sha1 information is lacking or useless (koha-tmpl/opac-tmpl/prog/en/modules/opac-detail.tt).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Patch failed at 0001 Bug 7932 - twitter share doesn't work with socialnetworks
When you have resolved this problem run "git am --resolved".
If you would prefer to skip this patch, instead run "git am --skip".
To restore the original branch and stop patching run "git am --abort".
Patch left in /tmp/Bug-7932---SIGNED-OFF-twitter-share-doesnt-work-wi-iOQjv8.patch
[new/bug_7932 dd8725c] Bug 8095 - Printed lists in the OPAC not easy to read
 Author: Owen Leonard <oleonard@myacpl.org>
 1 file changed, 11 insertions(+), 1 deletion(-)
Comment 9 Paul Poulain 2012-05-28 15:57:04 UTC
(In reply to comment #8)
> Yikes, trying to apply the patch after reading/QAing it, I see it does not
> apply:
Yikes again = I missed to see comment 4 = this patch must be applied after 7500

back to signed-off
Comment 10 Ian Walls 2012-06-04 20:02:54 UTC
URL is hardcoded to https://, even if that's not the way the library is currently configured.  Also tries to set data-lang = [% en %], which I do not believe is a valid template parameter (and if it is, it needs a different name).
Comment 11 Owen Leonard 2012-11-01 16:16:30 UTC Comment hidden (obsolete)
Comment 12 Jared Camins-Esakov 2012-11-01 19:50:43 UTC
String changes. Will hold for post-3.10.0.
Comment 13 Nicole C. Engard 2012-11-10 14:35:12 UTC
Owen, the twitter button works now but doesn't appear to include a link - shouldn't it have a link to the record I'm clicking the button on?

Nicole
Comment 15 Nicole C. Engard 2012-11-10 14:38:45 UTC
Is that cause of this bug: http://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=8952
Comment 17 Owen Leonard 2012-11-12 15:48:21 UTC Comment hidden (obsolete)
Comment 18 Nicole C. Engard 2012-11-12 16:51:01 UTC
Created attachment 13400 [details] [review]
[SIGNED-OFF] Bug 7932 [Revised] Twitter share doesn't work with socialnetworks

The only way I can get this to work consistently is to use
Twitter's own code as documented here:

https://dev.twitter.com/docs/tweet-button

This requires that we use the tweet button generated by Twitter
rather than the smaller image we were using before. Using the
documented options for generating a custom button produced the
same inconsistent behavior this patch attempts to fix.

Because of the change of appearance I moved the Twitter button
to last in line so that similarly-sized buttons were grouped. I
also changed the configuration of the Google+ button to exclude
the count, saving some horizontal space.

Revision removes explicit declaration of share URL. I think when
testing this previously I assumed it was required when in fact
the share URL wasn't working because it was a localhost address.

Localhost addresses are apparently rejected by Twitter. Testers
beware.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Comment 19 MJ Ray (software.coop) 2012-11-12 22:07:29 UTC
(In reply to comment #18)
> The only way I can get this to work consistently is to use
> Twitter's own code as documented here:
> 
> https://dev.twitter.com/docs/tweet-button
> 
> This requires that we use the tweet button generated by Twitter
> rather than the smaller image we were using before. Using the
> documented options for generating a custom button produced the
> same inconsistent behavior this patch attempts to fix.

Does it require it (which would suggest a critical permission/licensing problem) or is it just that we can't get it to work with anything else yet?
Comment 20 Paul Poulain 2012-11-19 17:06:29 UTC
QA comment: 
 * despite its size, this patch is tiny, the longest part is the documentation !
 * no string change, except the "share on twitter" alt removed, not a problem for 3.10.0

passed QA
Comment 21 Jared Camins-Esakov 2012-11-20 12:44:39 UTC
This patch has been pushed to master.
Comment 22 Paul Poulain 2012-11-20 15:29:20 UTC
Patch pushed to branch 3.10.x
Comment 23 Chris Cormack 2013-04-23 09:53:04 UTC
Released in 3.10.0